Vá các lỗ hổng thực thi mã nguy cấp trong FortiNAC, FortiWeb

Chủ nhật, 26/03/2023 15:23

Fortinet mới phát hành 40 tư vấn bảo mật để thông báo cho khách hàng về việc phát hành các bản vá cho hàng chục lỗ hổng, bao gồm các lỗ hổng nghiêm trọng ảnh hưởng đến các sản phẩm FortiNAC và FortiWeb.

 Trong số đó có hai lỗ hổng được xếp vào mức độ nghiêm trọng “nguy cấp” và 15 lỗ hổng có mức độ nghiêm trọng “cao”.

Một trong những lỗ hổng là CVE-2021-42756, là một tập hợp lỗi tràn bộ đệm dựa trên ngăn xếp trong daemon proxy của FortiWeb, có thể cho phép kẻ tấn công từ xa không được xác thực thực thi mã tùy ý thông qua các yêu cầu HTTP độc hại.

20230420-pg12.jpg

Lỗ hổng nguy cấp thứ hai là CVE-2022-39952, một vấn đề về kiểm soát đường dẫn hoặc tên tệp bên ngoài trong FortiNAC, có thể cho phép kẻ tấn công không được xác thực ghi dữ liệu trên hệ thống, điều này có nguy cơ dẫn đến việc thực thi mã tùy ý.

Công ty kiểm tra thâm nhập Horizon3 đã thông báo rằng họ sẽ sớm công bố chi tiết cách CVE-2022-39952 có thể bị khai thác để thực thi mã từ xa với quyền root. Horizon3 cũng có kế hoạch sẽ phát hành bằng chứng khai thác (PoC).

Ngoài ra, công ty tình báo mối đe dọa GreyNoise đã sử dụng thông tin do Horizon3 cung cấp để bắt đầu giám sát internet nhằm phát hiện các cuộc tấn công khai thác lỗ hổng. Tại thời điểm này, dường như chưa có bất kỳ nỗ lực tấn công nào nhắm vào CVE-2022-39952.

Tuy nhiên, có hàng trăm nghìn hệ thống Fortinet tiếp xúc với Internet và nhiều hệ thống trong số đó có nguy cơ bị tấn công khai thác CVE-2022-39952.

Với CVE-2021-42756 và CVE-2022-39952, Fortinet hiện không đề cập bất cứ điều gì về việc khai thác ngoài môi trường.

Những lỗ hổng nghiêm trọng cao đã ảnh hưởng đến các sản phẩm như FortiADC, FortiExtender, FortiNAC, FortiOS, FortiProxy, FortiSwitchManager, FortiWAN và FortiWeb.

Các lỗ hổng này có thể bị khai thác để thực thi mã tùy ý với các đặc quyền nâng cao, thực thi các lệnh hệ điều hành tùy ý, thực hiện các hoạt động quản trị, lấy mật khẩu người dùng, khởi chạy các cuộc tấn công XSS, đọc và ghi tệp trên hệ thống Linux cơ bản và chiếm quyền điều khiển phiên, nhưng nhiều phiên yêu cầu xác thực.

Ngoài ra, nhiều lỗ hổng nghiêm trọng và nguy cấp đã được nội bộ Fortinet phát hiện.

Không có gì lạ khi các tác nhân đe dọa nhắm mục tiêu vào các lỗ hổng trong sản phẩm của Fortinet. Điều quan trọng là người dùng phải cài đặt các bản vá càng sớm càng tốt.

Một trong những lỗ hổng bị khai thác tích cực gần đây nhất là CVE-2022-42475, đã bị một tác nhân đe dọa lợi dụng trong các cuộc tấn công nhằm vào các tổ chức chính phủ ở châu Âu./.

theo ictvietnam.vn
banner
icon

Cổng dịch vụ công
Quốc Gia

Những thông tin thủ tục hành chính
khai báo online tại đây

Xem chi tiết icon
icon

Chính sách
pháp luật Việt Nam

Cập nhật thông tin, chính sách
pháp luật Việt Nam

Xem chi tiết icon
icon

Giới thiệu
Sản phẩm dịch vụ

Nơi giới thiệu những sản phẩm,
dịch vụ tốt nhất dành cho bạn đọc

Xem chi tiết icon

Cổng thông tin điện tử của các đơn vị thuộc Bộ

Top